Credibility (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class Credibility

- java.lang.Object
- - org.xbill.DNS.Credibility

-     public final class Credibility
      extends Object

  Constants relating to the credibility of cached data, which is based on the data's source. The constants NORMAL and ANY should be used by most callers.
  Author:
    Brian Wellington
  See Also:
    `Cache`, `Section`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDITIONAL` The additional section of a response.
    `static int` | `ANY` Data not required to be credible.
    `static int` | `AUTH_ANSWER` The answer section of a authoritative response.
    `static int` | `AUTH_AUTHORITY` The authority section of an authoritative response.
    `static int` | `GLUE` The additional section of a response.
    `static int` | `HINT` A hint or cache file on disk.
    `static int` | `NONAUTH_ANSWER` The answer section of a nonauthoritative response.
    `static int` | `NONAUTH_AUTHORITY` The authority section of a nonauthoritative response.
    `static int` | `NORMAL` Credible data.
    `static int` | `ZONE` A zone.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HINT

          public static final int HINT

      A hint or cache file on disk.
      See Also:
        Constant Field Values

    - #### ADDITIONAL

          public static final int ADDITIONAL

      The additional section of a response.
      See Also:
        Constant Field Values

    - #### GLUE

          public static final int GLUE

      The additional section of a response.
      See Also:
        Constant Field Values

    - #### NONAUTH_AUTHORITY

          public static final int NONAUTH_AUTHORITY

      The authority section of a nonauthoritative response.
      See Also:
        Constant Field Values

    - #### NONAUTH_ANSWER

          public static final int NONAUTH_ANSWER

      The answer section of a nonauthoritative response.
      See Also:
        Constant Field Values

    - #### AUTH_AUTHORITY

          public static final int AUTH_AUTHORITY

      The authority section of an authoritative response.
      See Also:
        Constant Field Values

    - #### AUTH_ANSWER

          public static final int AUTH_ANSWER

      The answer section of a authoritative response.
      See Also:
        Constant Field Values

    - #### ZONE

          public static final int ZONE

      A zone.
      See Also:
        Constant Field Values

    - #### NORMAL

          public static final int NORMAL

      Credible data.
      See Also:
        Constant Field Values

    - #### ANY

          public static final int ANY

      Data not required to be credible.
      See Also:
        Constant Field Values